FROM alpine as qemu

RUN if [ -n "x86_64" ]; then wget -O /qemu-x86_64-static https://github.com/multiarch/qemu-user-static/releases/download/v4.0.0-5/qemu-x86_64-static; else echo '#!/bin/sh\n\ntrue' > /qemu-x86_64-static; fi; chmod a+x /qemu-x86_64-static

FROM amd64/alpine:3.11

COPY --from=qemu /qemu-x86_64-static /usr/bin/

RUN apk update; \
	apk add openrc; \
	rm -rv /var/cache/apk/*

RUN adduser -D -s /bin/sh panta \
	&& echo "root:pantacor" | chpasswd \
	&& echo "panta:pantacor" | chpasswd

COPY files/ /


CMD [ "/sbin/init" ]

